Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.thru.org/llms.txt

Use this file to discover all available pages before exploring further.

Messages

CustomHttpPattern

FieldTypeDescription
kindstringThe name of this custom HTTP verb.
pathstringThe path matched by this custom verb.

Http

FieldTypeDescription
rulesrepeated ``HttpRuleA list of HTTP configuration rules that apply to individual API methods. NOTE: All service configuration rules follow “last one wins” order.
fully_decode_reserved_expansionboolWhen set to true, URL path parameters will be fully URI-decoded except in cases of single segment matches in reserved expansion, where “%2F” will be left encoded. The default behavior is to not decode RFC 6570 reserved characters in multi segment matches.

HttpRule

FieldTypeDescription
selectorstringSelects a method to which this rule applies. Refer to [selector][google.api.DocumentationRule.selector] for syntax details.
getstringMaps to HTTP GET. Used for listing and getting information about resources.
putstringMaps to HTTP PUT. Used for replacing a resource.
poststringMaps to HTTP POST. Used for creating a resource or performing an action.
deletestringMaps to HTTP DELETE. Used for deleting a resource.
patchstringMaps to HTTP PATCH. Used for updating a resource.
customCustomHttpPatternThe custom pattern is used for specifying an HTTP method that is not included in the pattern field, such as HEAD, or ”*” to leave the HTTP method unspecified for this rule. The wild-card rule is useful for services that provide content to Web (HTML) clients.
bodystringThe name of the request field whose value is mapped to the HTTP request body, or * for mapping all request fields not captured by the path pattern to the HTTP body, or omitted for not having any HTTP request body. NOTE: the referred field must be present at the top-level of the request message type.
response_bodystringOptional. The name of the response field whose value is mapped to the HTTP response body. When omitted, the entire response message will be used as the HTTP response body. NOTE: The referred field must be present at the top-level of the response message type.
additional_bindingsrepeated ``HttpRuleAdditional HTTP bindings for the selector. Nested bindings must not contain an additional_bindings field themselves (that is, the nesting may only be one level deep).